%calculate runoff from the drainage layer based on the modelled water level
load Water_Level
data1=u;
s=size(u);

% calculate change in water level 
summ=zeros(s);
for i=2:s(1)
    for j=1:s(2)
    summ(1,1)=0;
    summ(i,j)=u(i,j)-u(i-1,j);
    end
end

% inflow to the drainage layer
global Q1
input=zeros(s(1),s(2));
for i=1:s(2)
input(:,i)=Q1/1000;
end

% calcluate the difference between inflow and storage 
flow1=input-summ;

% calculate length averaged outflow from the drainage layer in mm/min
global x_end dx
qout=zeros(s(1),1);
for i=1:s(1)
    qout(i,1)=real(sum(flow1(i,:))/((x_end)/dx+1))*1000;
end

%calculate Rt2
global measured_runoff
Runoff=qout;
Rt2= 1 - sum((measured_runoff-Runoff).^2/sum(measured_runoff.^2));

%plot graph
global Rainfall
figure
plot (Rainfall,'linewidth',2)
hold on
plot(Runoff,'linewidth',2)
hold on
plot(measured_runoff,'linewidth',2)
hold on
plot(Q1,'linewidth',2)
grid on
legend('Rainfall','Modeled Runoff','Measured Runoff','Substrate Outflow')
xlabel('Time (min)')
ylabel('Flowrate (mm/min)')
xlim([0,200])
ylim([0,0.8])
