clear global
clear
clc
load Complete_Conventional_System

global time depth F r w1 w2 a1 a2 n1 n2 m1 m2 ks para1 para2 para3 para4 para5 para6 xc1 xc2 Time Rainfall measured_runoff
% define the parameters for the substrate Richards Equation 
time=length(Complete_Conventional_System(:,1)); % time span for the simulation
depth=10; % depth of the substrate in cm
Time=1:1:time; % time vector for solution output
Rainfall=Complete_Conventional_System(:,2); % rainfall vector
measured_runoff=Complete_Conventional_System(:,3);

% parameters for the Durner model
F=0.552; % porosity
r=0.042; % residual water content
w1=0.622;
w2=1-w1;
a1=0.3044;
n1=2.82;
a2=5.094e-4;
n2=1.926;
m1=1-1/n1;
m2=1-1/n2;

% saturated hydraulic conductivity in cm/min
ks=16.64;

% parameters for the three-segment HCF
para1=5.0193; % beta_1
para2=31.667; % beta_2
para3=88.226; % beta_3
para4=-1.5495; % gamma_1
para5=-10.33; % gamma_2
para6=-23.339; % gamma_3

% two interception points (moisture content) on the HCF
xc1=0.23;
xc2=0.33;

